package linearalgebra.symbolic;

import linearalgebra.symbolic.*;

public class Negative extends linearalgebra.symbolic.UnaryOperator {
	
	public Negative( SymbolicValue v ) {
		super(v);
	}

    public int getPrecedence() {
        return ADDS;
    }
    
    public String getString() {
    	StringBuffer rc = new StringBuffer("-( ");
    	rc.append( getChild(0).toString() );
    	rc.append(" )");
    	return rc.toString();
    }

    protected double doOperation( double child ) {
    	return -child;
    }
}