package linearalgebra.numeric;

import linearalgebra.*;

abstract class MatrixVector 
	implements  linearalgebra.MatrixInterface {
	NumericVector m_vector = null;
	
	public MatrixVector( VectorInterface v ) {
		m_vector = new NumericVector( v );
	}
		
	public MatrixVector( double[] v ) {
		m_vector = new NumericVector( v );
	}
	
	public VectorInterface getVectorView() {
		return m_vector;
	}
}